# Uses of Interface
org.apache.qpid.proton.amqp.transport.DeliveryState

Packages that use DeliveryState
Package
Description
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.amqp.transaction
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of DeliveryState in org.apache.qpid.proton.amqp.messaging

Classes in org.apache.qpid.proton.amqp.messaging that implement DeliveryState
Modifier and Type
Class
Description
`final class`
`Accepted`
`final class`
`Modified`
`final class`
`Received`
`final class`
`Rejected`
`final class`
`Released`

## Uses of DeliveryState in org.apache.qpid.proton.amqp.transaction

Classes in org.apache.qpid.proton.amqp.transaction that implement DeliveryState
Modifier and Type
Class
Description
`final class`
`Declared`
`final class`
`TransactionalState`

## Uses of DeliveryState in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return DeliveryState
Modifier and Type
Method
Description
`DeliveryState`
Disposition.`getState()`
`DeliveryState`
Transfer.`getState()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type DeliveryState
Modifier and Type
Method
Description
`void`
Disposition.`setState(DeliveryState state)`
`void`
Transfer.`setState(DeliveryState state)`

## Uses of DeliveryState in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return DeliveryState
Modifier and Type
Method
Description
`DeliveryState`
Delivery.`getDefaultDeliveryState()`
`DeliveryState`
Delivery.`getLocalState()`
`DeliveryState`
Delivery.`getRemoteState()`
Methods in org.apache.qpid.proton.engine with parameters of type DeliveryState
Modifier and Type
Method
Description
`void`
Delivery.`disposition(DeliveryState state)`
updates the state of the delivery The new state may have no on-the-wire effect, if delivery settlement was already communicated to/from the peer.
`void`
Delivery.`setDefaultDeliveryState(DeliveryState state)`
Configures a default DeliveryState to be used if a received delivery is settled/freed without any disposition state having been previously applied.

## Uses of DeliveryState in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return DeliveryState
Modifier and Type
Method
Description
`DeliveryState`
DeliveryImpl.`getDefaultDeliveryState()`
`DeliveryState`
DeliveryImpl.`getLocalState()`
`DeliveryState`
DeliveryImpl.`getRemoteState()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type DeliveryState
Modifier and Type
Method
Description
`void`
DeliveryImpl.`disposition(DeliveryState state)`
`void`
DeliveryImpl.`setDefaultDeliveryState(DeliveryState state)`